This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1305437 - (CVE-2016-2217) CVE-2016-2217 socat: Hard coded 1024 bit DH p parameter was not prime
CVE-2016-2217 socat: Hard coded 1024 bit DH p parameter was not prime
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160201,repor...
: Security
Depends On:
Blocks: 1303890
  Show dependency treegraph
 
Reported: 2016-02-08 04:17 EST by Adam Mariš
Modified: 2016-11-08 10:56 EST (History)
9 users (show)

See Also:
Fixed In Version: socat 1.7.3.1, socat 2.0.0-b9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 04:18:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-08 04:17:24 EST
It was found that in the OpenSSL address implementation the hard coded 1024 bit DH p parameter was not prime. The effective cryptographic strength of a key exchange using these parameters was weaker than the one one could get by using a prime p, making easier for eavesdropper to recover the shared secret from a key exchange that uses them.

Affected versions are 1.7.3.0 and 2.0.0-b8.

CVE request:

http://seclists.org/oss-sec/2016/q1/261
Comment 1 Paul Wouters 2016-02-08 09:58:04 EST
why was this closed again? It is a real bug for which there is a bug fix
Comment 2 Adam Mariš 2016-02-08 10:29:19 EST
(In reply to Paul Wouters from comment #1)
> why was this closed again? It is a real bug for which there is a bug fix

Versions we ship are listed in advisory as not affected.
Comment 3 Tomas Hoger 2016-02-11 03:47:52 EST
Upstream commit:

http://repo.or.cz/socat.git/commitdiff/eab3c89f2dc0df0d9638941891e8ab233dfb0611

The problematic 1024 bit DH param was introduced in this commit in version 1.7.3.0:

http://repo.or.cz/socat.git/commitdiff/281d1bd6515c2f0f8984fc168fb3d3b91c20bdc0

socat versions in Red Hat Enterprise Linux 7 and Fedora / EPEL are all 1.7.2.x, and hence use 512 bit DH params by default.  Of course, such short parameters are known to be too weak these days - see LOGJAM / bug 1223211 - and should be replaced.  We've had Red Hat Enterprise Linux 7 bug 1021946 open for that for a while now.  Users of socat can use dhparams or cert options for OPENSSL address type to make it use custom stronger DH parameters.

Upstream security advisory link follows.

External References:

http://www.dest-unreach.org/socat/contrib/socat-secadv7.html

Note You need to log in before you can comment on or make changes to this bug.